edu.northwestern.at.morphadorner.gate

## Class MorphAdornerGateWrapperBase

- java.lang.Object
- - gate.util.AbstractFeatureBearer
  - - gate.creole.AbstractResource
    - - gate.creole.AbstractProcessingResource
      - - gate.creole.AbstractLanguageAnalyser
        - - edu.northwestern.at.morphadorner.gate.MorphAdornerGateWrapperBase

- All Implemented Interfaces:
    gate.creole.ANNIEConstants, gate.Executable, gate.LanguageAnalyser, gate.ProcessingResource, gate.Resource, gate.util.FeatureBearer, gate.util.NameBearer, java.io.Serializable
  Direct Known Subclasses:
    PosTaggerGateWrapper, TokenizerGateWrapper

      public abstract class MorphAdornerGateWrapperBase
      extends gate.creole.AbstractLanguageAnalyser

  Base class for Gate wrappers for MorphAdorner.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class gate.creole.AbstractProcessingResource

      `gate.creole.AbstractProcessingResource.InternalStatusListener, gate.creole.AbstractProcessingResource.IntervalProgressListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `alternateSpellingsURL` Alternate spellings URL.
    `static java.lang.String` | `BASE_SENTENCE_ANNOTATION_TYPE_PARAMETER_NAME`
    `static java.lang.String` | `BASE_TOKEN_ANNOTATION_TYPE_PARAMETER_NAME`
    `protected java.lang.String` | `baseSentenceAnnotationType` Base annotation type for sentences.
    `protected java.lang.String` | `baseTokenAnnotationType` Base annotation type for tokens.
    `protected java.lang.String` | `encoding` Document encoding.
    `protected PartOfSpeechGuesser` | `guesser` Part of speech guesser.
    `protected java.lang.String` | `inputASName` Input annotation name.
    `protected static java.lang.String` | `lemmaSeparator`
    `protected java.lang.String` | `outputAnnotationType` Output anotation type.
    `protected java.lang.String` | `outputASName` Output annotation name.
    `protected java.lang.String` | `spellingsURL` Standard spellings URL.
    `protected WordTokenizer` | `spellingTokenizer` Spelling tokenizer for lemmatization.
    `protected Lexicon` | `suffixLexicon` Suffix lexicon.
    `static java.lang.String` | `TAG_DOCUMENT_PARAMETER_NAME`
    `static java.lang.String` | `TAG_INPUT_AS_PARAMETER_NAME`
    `static java.lang.String` | `TAG_OUTPUT_AS_PARAMETER_NAME`
    `protected static java.lang.String` | `tagSeparator` Part of speech tag separator.
    `static java.lang.String` | `TOKEN_LEMMA_FEATURE_NAME`
    `static java.lang.String` | `TOKEN_SPELLING_FEATURE_NAME`
    `static java.lang.String` | `TOKEN_STANDARD_SPELLING_FEATURE_NAME`
    `protected Lexicon` | `wordLexicon` Word lexicon.

    - ### Fields inherited from class gate.creole.AbstractLanguageAnalyser

      `corpus, document`

    - ### Fields inherited from class gate.creole.AbstractProcessingResource

      `interrupted`

    - ### Fields inherited from class gate.creole.AbstractResource

      `name`

    - ### Fields inherited from class gate.util.AbstractFeatureBearer

      `features`

    - ### Fields inherited from interface gate.creole.ANNIEConstants

      `ANNOTATION_COREF_FEATURE_NAME, DATE_ANNOTATION_TYPE, DATE_POSTED_ANNOTATION_TYPE, DOCUMENT_COREF_FEATURE_NAME, JOB_ID_ANNOTATION_TYPE, LOCATION_ANNOTATION_TYPE, LOOKUP_ANNOTATION_TYPE, LOOKUP_CLASS_FEATURE_NAME, LOOKUP_INSTANCE_FEATURE_NAME, LOOKUP_MAJOR_TYPE_FEATURE_NAME, LOOKUP_MINOR_TYPE_FEATURE_NAME, LOOKUP_ONTOLOGY_FEATURE_NAME, MONEY_ANNOTATION_TYPE, ORGANIZATION_ANNOTATION_TYPE, PERSON_ANNOTATION_TYPE, PERSON_GENDER_FEATURE_NAME, PR_NAMES, SENTENCE_ANNOTATION_TYPE, SPACE_TOKEN_ANNOTATION_TYPE, TOKEN_ANNOTATION_TYPE, TOKEN_CATEGORY_FEATURE_NAME, TOKEN_KIND_FEATURE_NAME, TOKEN_LENGTH_FEATURE_NAME, TOKEN_ORTH_FEATURE_NAME, TOKEN_STRING_FEATURE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MorphAdornerGateWrapperBase()` Gate wrapper for MorphAdorner.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addFeatures(gate.Annotation annot, java.lang.String featureName, java.lang.String featureValue)`
    `void` | `checkGateResources()` Check for required Gate resources.
    `protected void` | `commonInit()` Common initialization.
    `void` | `execute()` Perform adornment.
    `java.lang.String` | `getBaseSentenceAnnotationType()`
    `java.lang.String` | `getBaseTokenAnnotationType()`
    `java.lang.String` | `getEncoding()`
    `java.lang.String` | `getInputASName()`
    `protected void` | `getLexicons()` Get lexicons.
    `java.lang.String` | `getOutputAnnotationType()`
    `java.lang.String` | `getOutputASName()`
    `protected void` | `getPartOfSpeechGuesser()` Get part of speech guesser.
    `gate.Resource` | `init()` Initialize resources.
    `void` | `setBaseSentenceAnnotationType(java.lang.String baseSentenceAnnotationtype)`
    `void` | `setBaseTokenAnnotationType(java.lang.String baseTokenAnnotationType)`
    `void` | `setEncoding(java.lang.String encoding)`
    `void` | `setInputASName(java.lang.String newInputASName)`
    `void` | `setOutputAnnotationType(java.lang.String outputAnnotationType)`
    `void` | `setOutputASName(java.lang.String outputASName)`

    - ### Methods inherited from class gate.creole.AbstractLanguageAnalyser

      `getCorpus, getDocument, setCorpus, setDocument`

    - ### Methods inherited from class gate.creole.AbstractProcessingResource

      `addProgressListener, addStatusListener, cleanup, fireProcessFinished, fireProgressChanged, fireStatusChanged, interrupt, isInterrupted, reInit, removeProgressListener, removeStatusListener`

    - ### Methods inherited from class gate.creole.AbstractResource

      `checkParameterValues, getBeanInfo, getName, getParameterValue, getParameterValue, removeResourceListeners, setName, setParameterValue, setParameterValue, setParameterValues, setParameterValues, setResourceListeners`

    - ### Methods inherited from class gate.util.AbstractFeatureBearer

      `getFeatures, setFeatures`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface gate.ProcessingResource

      `reInit`

    - ### Methods inherited from interface gate.Resource

      `cleanup, getParameterValue, setParameterValue, setParameterValues`

    - ### Methods inherited from interface gate.util.FeatureBearer

      `getFeatures, setFeatures`

    - ### Methods inherited from interface gate.util.NameBearer

      `getName, setName`

    - ### Methods inherited from interface gate.Executable

      `interrupt, isInterrupted`

- - ### Field Detail

    - #### TAG_DOCUMENT_PARAMETER_NAME

          public static final java.lang.String TAG_DOCUMENT_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### TAG_INPUT_AS_PARAMETER_NAME

          public static final java.lang.String TAG_INPUT_AS_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### TAG_OUTPUT_AS_PARAMETER_NAME

          public static final java.lang.String TAG_OUTPUT_AS_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### BASE_TOKEN_ANNOTATION_TYPE_PARAMETER_NAME

          public static final java.lang.String BASE_TOKEN_ANNOTATION_TYPE_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### BASE_SENTENCE_ANNOTATION_TYPE_PARAMETER_NAME

          public static final java.lang.String BASE_SENTENCE_ANNOTATION_TYPE_PARAMETER_NAME

      See Also:
        Constant Field Values

    - #### TOKEN_LEMMA_FEATURE_NAME

          public static final java.lang.String TOKEN_LEMMA_FEATURE_NAME

      See Also:
        Constant Field Values

    - #### TOKEN_SPELLING_FEATURE_NAME

          public static final java.lang.String TOKEN_SPELLING_FEATURE_NAME

      See Also:
        Constant Field Values

    - #### TOKEN_STANDARD_SPELLING_FEATURE_NAME

          public static final java.lang.String TOKEN_STANDARD_SPELLING_FEATURE_NAME

      See Also:
        Constant Field Values

    - #### inputASName

          protected java.lang.String inputASName

      Input annotation name.

    - #### outputASName

          protected java.lang.String outputASName

      Output annotation name.

    - #### outputAnnotationType

          protected java.lang.String outputAnnotationType

      Output anotation type.

    - #### baseTokenAnnotationType

          protected java.lang.String baseTokenAnnotationType

      Base annotation type for tokens.

    - #### baseSentenceAnnotationType

          protected java.lang.String baseSentenceAnnotationType

      Base annotation type for sentences.

    - #### encoding

          protected java.lang.String encoding

      Document encoding.

    - #### wordLexicon

          protected Lexicon wordLexicon

      Word lexicon.

    - #### suffixLexicon

          protected Lexicon suffixLexicon

      Suffix lexicon.

    - #### guesser

          protected PartOfSpeechGuesser guesser

      Part of speech guesser.

    - #### spellingTokenizer

          protected WordTokenizer spellingTokenizer

      Spelling tokenizer for lemmatization.

    - #### spellingsURL

          protected java.lang.String spellingsURL

      Standard spellings URL.

    - #### alternateSpellingsURL

          protected java.lang.String alternateSpellingsURL

      Alternate spellings URL.

    - #### tagSeparator

          protected static java.lang.String tagSeparator

      Part of speech tag separator.

    - #### lemmaSeparator

          protected static java.lang.String lemmaSeparator

  - ### Constructor Detail

    - #### MorphAdornerGateWrapperBase

          public MorphAdornerGateWrapperBase()

      Gate wrapper for MorphAdorner.

  - ### Method Detail

    - #### init

          public gate.Resource init()
                             throws gate.creole.ResourceInstantiationException

      Initialize resources.
      Specified by:
        `init` in interface `gate.Resource`
      Overrides:
        `init` in class `gate.creole.AbstractProcessingResource`
      Throws:
        `gate.creole.ResourceInstantiationException`

    - #### checkGateResources

          public void checkGateResources()
                                  throws gate.creole.ResourceInstantiationException

      Check for required Gate resources.
      Throws:
        `gate.creole.ResourceInstantiationException`

    - #### execute

          public void execute()
                       throws gate.creole.ExecutionException

      Perform adornment.
      Specified by:
        `execute` in interface `gate.Executable`
      Overrides:
        `execute` in class `gate.creole.AbstractProcessingResource`
      Throws:
        `gate.creole.ExecutionException`

    - #### getLexicons

          protected void getLexicons()
                              throws gate.creole.ResourceInstantiationException

      Get lexicons.
      Throws:
        `gate.creole.ResourceInstantiationException`

    - #### getPartOfSpeechGuesser

          protected void getPartOfSpeechGuesser()
                                         throws gate.creole.ResourceInstantiationException

      Get part of speech guesser.

      Note: Must call getLexicons() first!

      Throws:
        `gate.creole.ResourceInstantiationException`

    - #### commonInit

          protected void commonInit()
                             throws gate.creole.ResourceInstantiationException

      Common initialization.
      Throws:
        `gate.creole.ResourceInstantiationException`

    - #### setInputASName

          public void setInputASName(java.lang.String newInputASName)

    - #### getInputASName

          public java.lang.String getInputASName()

    - #### getEncoding

          public java.lang.String getEncoding()

    - #### getBaseTokenAnnotationType

          public java.lang.String getBaseTokenAnnotationType()

    - #### getBaseSentenceAnnotationType

          public java.lang.String getBaseSentenceAnnotationType()

    - #### getOutputAnnotationType

          public java.lang.String getOutputAnnotationType()

    - #### setBaseTokenAnnotationType

          public void setBaseTokenAnnotationType(java.lang.String baseTokenAnnotationType)

    - #### setBaseSentenceAnnotationType

          public void setBaseSentenceAnnotationType(java.lang.String baseSentenceAnnotationtype)

    - #### setEncoding

          public void setEncoding(java.lang.String encoding)

    - #### setOutputAnnotationType

          public void setOutputAnnotationType(java.lang.String outputAnnotationType)

    - #### getOutputASName

          public java.lang.String getOutputASName()

    - #### setOutputASName

          public void setOutputASName(java.lang.String outputASName)

    - #### addFeatures

          protected void addFeatures(gate.Annotation annot,
                         java.lang.String featureName,
                         java.lang.String featureValue)
                              throws gate.util.GateRuntimeException

      Throws:
        `gate.util.GateRuntimeException`